compat: bin/get-compat-kernels: Do not depend on Ubuntu
[~tnikolova/compat/.git] / scripts / compat_firmware_install
index d92961a62f05d8fd901a3d9239a107156649c29c..33e4fde846068656f1bf87f8986f85c0e3a5871d 100755 (executable)
@@ -8,10 +8,12 @@ fi
 
 case $LSB_RED_ID in
 "Ubuntu")
+       mkdir -p /lib/udev/ /lib/udev/rules.d/
        cp udev/ubuntu/compat_firmware.sh /lib/udev/
        cp udev/ubuntu/50-compat_firmware.rules /lib/udev/rules.d/
         ;;
 *)
+       mkdir -p /lib/udev/ /lib/udev/rules.d/
        cp udev/compat_firmware.sh /lib/udev/
        cp udev/50-compat_firmware.rules /lib/udev/rules.d/
         ;;